Loading...
Searching...
No Matches
coap_dtls.c File Reference

CoAP (D)TLS handling functions. More...

`#include "coap3/coap_internal.h"`
Include dependency graph for coap_dtls.c:

Go to the source code of this file.

## Functions

void | coap_dtls_establish (coap_session_t *session)
| Layer function interface for layer below DTLS connect being established.
void | coap_dtls_close (coap_session_t *session)
| Layer function interface for DTLS close for a session.
void | coap_tls_establish (coap_session_t *session)
| Layer function interface for layer below TLS accept/connect being established.
void | coap_tls_close (coap_session_t *session)
| Layer function interface for TLS close for a session.

## Detailed Description

CoAP (D)TLS handling functions.

Definition in file coap_dtls.c.